This field accepts text, html or javascript. You can use the following dynamic variables: Uptime4 Monitor. You can also use Spintax format, as such: Hey to randomize words or phrases.

Game servers

GET https://uptime4.com/api/game-servers/
curl --request GET \
--url 'https://uptime4.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Detaljer Beskrivning
search Valfritt Sträng Söksträngen.
search_by Valfritt Sträng Vilket fält söker du efter? Tillåtna värden är: name, target, port.
is_enabled Valfritt Boolean
type Valfritt Sträng Tillåtna värden: minecraft, cs1.6, cscz, dod, tfc, css, csgo, cs2, tf2, l4d2, dods, hl2dm, l4d, nmrih, insurgency, insurgencysand, valheim, arkse, rust, garrysmod, dayz, sevendaystodie, unturned, arma3, conanexiles, killingfloor2, squad, vrising, zomboid, blackmesa, minecraftbe, fivem, samp, mta, teamspeak3, cod4, quake3, spaceengineers, hll, mordhau, quakelive, cod2, codwaw, codmw3, openttd, barotrauma, eco, avorion, stormworks, theforest, bf4, bf3, killingfloor
project_id Valfritt Heltal
datetime_field Valfritt Sträng Tillåtna värden: last_datetime, datetime, last_check_datetime
datetime_start Valfritt Sträng Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Valfritt Sträng Filter results up to this datetime. Y-m-d H:i:s format.
order_by Valfritt Sträng Vilket fält att sortera resultaten efter. Tillåtna värden är: game_server_id, last_datetime, datetime, last_check_datetime, total_checks, name, uptime, average_response_time, average_online_players, online_players, maximum_online_players.
order_type Valfritt Sträng Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning.
page Valfritt Heltal Sidanummeret som du vill ha resultat från. Standardinställning är 1.
results_per_page Valfritt Heltal Hur många resultat vill du ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Standardvärde är 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": null,
            "name": "Minecraft Example",
            "type": "minecraft",
            "target": "mc.example.com",
            "port": 25565,
            "query_port": 25565,
            "notifications": [
                1,
                2
            ],
            "settings": {
                "check_interval_seconds": 180,
                "timeout_seconds": 5,
                "alerts": [
                    {
                        "metric": "online_players",
                        "rule": "is_higher",
                        "value": 50,
                        "trigger": 3,
                        "is_triggered": 0
                    }
                ]
            },
            "online_players": 100,
            "maximum_online_players": 200,
            "details": {
                "version_code": 1,
                "version_name": "",
                "favicon": "",
                "mod_type": "",
                "description": "",
                "description_html": ""
            },
            "uptime": 100,
            "downtime": 0,
            "average_response_time": 500,
            "average_online_players": 100,
            "total_checks": 50,
            "total_ok_checks": 50,
            "total_not_ok_checks": 0,
            "last_check_datetime": "2026-09-30 14:45:34",
            "next_check_datetime": "2026-10-01 14:45:34",
            "is_enabled": true,
            "datetime": "2026-09-30 14:45:34",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptime4.com/api/game-servers?page=1",
        "last": "https://uptime4.com/api/game-servers?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/game-servers?page=1"
    }
}
GET https://uptime4.com/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": null,
        "name": "Minecraft Example",
        "type": "minecraft",
        "target": "mc.example.com",
        "port": 25565,
        "query_port": 25565,
        "notifications": [
            1,
            2
        ],
        "settings": {
            "check_interval_seconds": 180,
            "timeout_seconds": 5,
            "alerts": [
                {
                    "metric": "online_players",
                    "rule": "is_higher",
                    "value": 50,
                    "trigger": 3,
                    "is_triggered": 0
                }
            ]
        },
        "online_players": 100,
        "maximum_online_players": 200,
        "details": {
            "version_code": 1,
            "version_name": "",
            "favicon": "",
            "mod_type": "",
            "description": "",
            "description_html": ""
        },
        "uptime": 100,
        "downtime": 0,
        "average_response_time": 500,
        "average_online_players": 100,
        "total_checks": 50,
        "total_ok_checks": 50,
        "total_not_ok_checks": 0,
        "last_check_datetime": "2026-09-30 14:45:34",
        "next_check_datetime": "2026-10-01 14:45:34",
        "is_enabled": true,
        "datetime": "2026-09-30 14:45:34",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/game-servers
Parametrar Detaljer Beskrivning
name Obligatoriskt Sträng -
target Obligatoriskt Sträng -
port Obligatoriskt Sträng -
query_port Valfritt Sträng -
type Valfritt Sträng Tillåtna värden: minecraft, cs1.6, cscz, dod, tfc, css, csgo, cs2, tf2, l4d2, dods, hl2dm, l4d, nmrih, insurgency, insurgencysand, valheim, arkse, rust, garrysmod, dayz, sevendaystodie, unturned, arma3, conanexiles, killingfloor2, squad, vrising, zomboid, blackmesa, minecraftbe, fivem, samp, mta, teamspeak3, cod4, quake3, spaceengineers, hll, mordhau, quakelive, cod2, codwaw, codmw3, openttd, barotrauma, eco, avorion, stormworks, theforest, bf4, bf3, killingfloor
project_id Valfritt Heltal -
check_interval_seconds Valfritt Heltal Tillåtna värden: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (sekunder)
timeout_seconds Valfritt Heltal Tillåtna värden: 1, 2, 3, 5, 10, 25 (sekunder)
notifications[] Valfritt Heltal Notifikationshanterar-id:n
alert_metric[0] Valfritt Sträng Tillåtna värden: online_players, online_players_percentage, free_slots
alert_rule[0] Valfritt Sträng Tillåtna värden: is_higher, is_lower
alert_value[0] Valfritt Heltal -
alert_trigger[0] Valfritt Heltal Tillåtna värden: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://uptime4.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--form 'notifications[]=1' \
--form 'alert_metric[0]=online_players' \
--form 'alert_rule[0]=is_higher' \
--form 'alert_value[0]=50' \
--form 'alert_trigger[0]=3' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Minecraft Example",
        "type": "minecraft",
        "target": "mc.example.com",
        "port": 25565,
        "query_port": 25565,
        "notifications": [1],
        "settings": {},
        "online_players": 0,
        "maximum_online_players": 0,
        "details": [],
        "uptime": 100,
        "downtime": 0,
        "average_response_time": 0,
        "average_online_players": 0,
        "total_checks": 0,
        "total_ok_checks": 0,
        "total_not_ok_checks": 0,
        "last_check_datetime": null,
        "next_check_datetime": "2026-09-30 14:45:34",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-30 14:45:34"
    }
}
POST https://uptime4.com/api/game-servers/{game_server_id}
Parametrar Detaljer Beskrivning
name Valfritt Sträng -
target Valfritt Sträng -
port Valfritt Sträng -
query_port Valfritt Sträng -
type Valfritt Sträng Tillåtna värden: minecraft, cs1.6, cscz, dod, tfc, css, csgo, cs2, tf2, l4d2, dods, hl2dm, l4d, nmrih, insurgency, insurgencysand, valheim, arkse, rust, garrysmod, dayz, sevendaystodie, unturned, arma3, conanexiles, killingfloor2, squad, vrising, zomboid, blackmesa, minecraftbe, fivem, samp, mta, teamspeak3, cod4, quake3, spaceengineers, hll, mordhau, quakelive, cod2, codwaw, codmw3, openttd, barotrauma, eco, avorion, stormworks, theforest, bf4, bf3, killingfloor
project_id Valfritt Heltal -
check_interval_seconds Valfritt Heltal Tillåtna värden: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (sekunder)
timeout_seconds Valfritt Heltal Tillåtna värden: 1, 2, 3, 5, 10, 25 (sekunder)
notifications[] Valfritt Heltal Notifikationshanterar-id:n
alert_metric[0] Valfritt Sträng Tillåtna värden: online_players, online_players_percentage, free_slots
alert_rule[0] Valfritt Sträng Tillåtna värden: is_higher, is_lower
alert_value[0] Valfritt Heltal -
alert_trigger[0] Valfritt Heltal Tillåtna värden: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'notifications[]=1' \
--form 'alert_metric[0]=online_players_percentage' \
--form 'alert_rule[0]=is_higher' \
--form 'alert_value[0]=90' \
--form 'alert_trigger[0]=2' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Minecraft Example",
        "type": "minecraft",
        "target": "mc.example.com",
        "port": 25565,
        "query_port": 25565,
        "notifications": [1],
        "settings": {},
        "online_players": 100,
        "maximum_online_players": 200,
        "details": {},
        "uptime": 100,
        "downtime": 0,
        "average_response_time": 500,
        "average_online_players": 100,
        "total_checks": 50,
        "total_ok_checks": 50,
        "total_not_ok_checks": 0,
        "last_check_datetime": "2026-09-30 14:45:34",
        "next_check_datetime": "2026-09-30 14:45:34",
        "is_enabled": true,
        "datetime": "2026-09-30 14:45:34",
        "last_datetime": "2026-09-30 14:45:34"
    }
}
DELETE https://uptime4.com/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \